
#ifndef __SORAKITEM_H__
#define __SORAKITEM_H__

struct TSorakItem
{
	struct TAttr
	{
		long  fire;
		long  water;
		long  air;
		long  earth;
		long  ice;
		long  electric;
		long  light;
		long  dark;
	};

	struct
	{
		long  ixItem;           //  ̸
		long  prefix1, prefix2; // ξ1, ξ2
		TAttr modified;         // ġ
		long  addedAttr;        // ߰ Ӽ
	} data; //  

	struct
	{
		long  damaged;          // 
		TAttr modified;         // ġ(ռ )
		long  exp;              // ü ġ
		long  addedAttr;        // ߰ Ӽ
	} variable; //  

	
	void m_ClearMemory(void* pMemory, long size)
	{
		char* p = (char*)pMemory;
		while (--size >= 0)
			*p++ = 0;
	}

	void m_InitData(long ixItem, long prefix1, long prefix2)
	{
		m_ClearMemory(&data, sizeof(data));
		m_ClearMemory(&variable, sizeof(variable));

		data.ixItem  = ixItem;
		data.prefix1 = prefix1;
		data.prefix2 = prefix2;
	}

public:
	TSorakItem(void)
	{
		m_InitData(0, 0, 0);
	}
	TSorakItem(long ixItem, long prefix1 = 0, long prefix2 = 0)
	{
		m_InitData(ixItem, prefix1, prefix2);
	}
	void operator=(long ixItem)
	{
		m_InitData(ixItem, 0, 0);
	}
};

#endif // #ifndef __SORAKITEM_H__
