
#ifndef __PDM_RES_H__
#define __PDM_RES_H__

#include "avej_util_tile_map.h"
#include "pdm_chara.h"
#include "pdm_window.h"

#include "flat_experience.h"

const int MAX_AVEJ_CHARA  = 100;
const int MAX_AVEJ_WINDOW = 10;

class CPdmRes
{
public:
	enum TImageIndex
	{
		IMAGE_TILE   = 0,
		IMAGE_CHARA  = 1,
		IMAGE_WINDOW = 2,
		IMAGE_FONT   = 3,
		IMAGE_MAX    = 4
	};

	CTileMap*     pTileMap;
	ISorakChara*  pChara[MAX_AVEJ_CHARA];
	CSorakWindow* pWindow[MAX_AVEJ_WINDOW];

	flat_experience::ICanvas* GetImage(TImageIndex index) { return m_ixImage[index]; }

//private:
	flat_experience::ICanvas* m_ixImage[IMAGE_MAX];
};

extern CPdmRes* g_p_pdm_res;

#endif // #ifndef __PDM_RES_H__
