
#ifndef __IMAGE_DECODER_PNG_H__
#define __IMAGE_DECODER_PNG_H__

namespace image_decoder
{
	namespace png
	{
		struct TImage
		{
			long            width;
			long            height;
			long            bytes_per_line;
			unsigned long   depth;
			unsigned char*  p_bitmap;
			unsigned long   palette[256];
		};

		bool Decode(const unsigned char* p_stream, unsigned int stream_size, TImage& image);
	}
}

#endif // #ifndef __IMAGE_DECODER_PNG_H__
